#version 450

layout(set = 1, binding = 1) uniform sampler2DArray font;

layout(location = 0) in vec4 fragColor;
layout(location = 1) in vec2 fragUV;
layout(location = 2) flat in uint code;

layout(location = 0) out vec4 outColor;

void main() {
    outColor = fragColor * texture(font, vec3(fragUV, code));
}

